| Home · API Reference · Modules

Variables
Maliit::SettingEntryAttributes Namespace Reference

## Variables

const char *const | valueDomain = "valueDomain"
const char *const | valueDomainDescriptions = "valueDomainDescriptions"
const char *const | valueRangeMin = "valueRangeMin"
const char *const | valueRangeMax = "valueRangeMax"
const char *const | defaultValue = "defaultValue"

## Variable Documentation

## ◆ defaultValue

const char* const Maliit::SettingEntryAttributes::defaultValue = "defaultValue"

Name of setting entry attribute which holds the default value for a setting entry.

See also
  Maliit::SettingsEntry

## ◆ valueDomain

const char* const Maliit::SettingEntryAttributes::valueDomain = "valueDomain"

Name of setting entry attribute which holds the list of values that can be assigned to the entry.

See also
  Maliit::SettingsEntry

## ◆ valueDomainDescriptions

const char* const Maliit::SettingEntryAttributes::valueDomainDescriptions = "valueDomainDescriptions"

Name of setting entry attribute which holds the descriptions for the values in valueDomain.

See also
  Maliit::SettingsEntry

## ◆ valueRangeMax

const char* const Maliit::SettingEntryAttributes::valueRangeMax = "valueRangeMax"

Name of setting entry attribute which holds the maximum valid value (inclusive) for an integer property.

See also
  Maliit::SettingsEntry

## ◆ valueRangeMin

const char* const Maliit::SettingEntryAttributes::valueRangeMin = "valueRangeMin"

Name of setting entry attribute which holds the minimum valid value (inclusive) for an integer property.

See also
  Maliit::SettingsEntry

Copyright © 2011 Nokia Corporation |  | Maliit